org.gradle.api.file

## Interface FileCopyDetails

- All Superinterfaces:
    ContentFilterable, FileTreeElement

      public interface FileCopyDetails
      extends FileTreeElement, ContentFilterable

  Provides details about a file or directory about to be copied, and allows some aspects of the destination file to be modified.

  Using this interface, you can change the destination path of the file, filter the content of the file, or exclude the file from the result entirely.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exclude()` Excludes this file from the copy.
    `void` | `setMode(int mode)` Sets the Unix permissions of this file.
    `void` | `setName(String name)` Sets the destination name of this file.
    `void` | `setPath(String path)` Sets the destination path of this file.
    `void` | `setRelativePath(RelativePath path)` Sets the destination path of this file.

    - ### Methods inherited from interface org.gradle.api.file.FileTreeElement

      `copyTo, copyTo, getFile, getLastModified, getMode, getName, getPath, getRelativePath, getSize, isDirectory, open`

    - ### Methods inherited from interface org.gradle.api.file.ContentFilterable

      `expand, filter, filter, filter`

- - ### Method Detail

    - #### exclude

          void exclude()

      Excludes this file from the copy.

    - #### setName

          void setName(String name)

      Sets the destination name of this file.
      Parameters:
        `name` - The name of this file.

    - #### setPath

          void setPath(String path)

      Sets the destination path of this file.
      Parameters:
        `path` - The path of this file.

    - #### setRelativePath

          void setRelativePath(RelativePath path)

      Sets the destination path of this file.
      Parameters:
        `path` - the new path for this file.

    - #### setMode

          void setMode(int mode)

      Sets the Unix permissions of this file.
      Parameters:
        `mode` - the Unix permissions, e.g. `0644`.